Bug 1044859 - (CVE-2017-9728) VUL-1: CVE-2017-9728: uclibc: Out-of-bounds read the get_subexp
(CVE-2017-9728)
VUL-1: CVE-2017-9728: uclibc: Out-of-bounds read the get_subexp
Status: RESOLVED WONTFIX
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other openSUSE 42.2
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/187011/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 06:58 UTC by Johannes Segitz
Modified: 2017-08-03 10:01 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-06-19 06:58:01 UTC
CVE-2017-9728

In uClibc 0.9.33.2, there is an out-of-bounds read in the get_subexp function in
misc/regex/regexec.c when processing a crafted regular expression.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9728
http://www.cvedetails.com/cve/CVE-2017-9728/
http://openwall.com/lists/oss-security/2017/06/16/4
Comment 1 Ismail Dönmez 2017-08-02 10:57:02 UTC
I am not the maintainer and this package should be dropped from 42.2, already removed from TW.
Comment 2 Bernhard Wiedemann 2017-08-02 14:01:55 UTC
This is an autogenerated message for OBS integration:
This bug (1044859) was mentioned in
https://build.opensuse.org/request/show/514039 42.3 / lifecycle-data
Comment 3 Bernhard Wiedemann 2017-08-03 08:00:28 UTC
This is an autogenerated message for OBS integration:
This bug (1044859) was mentioned in
https://build.opensuse.org/request/show/514155 42.3 / lifecycle-data
Comment 4 Andreas Stieger 2017-08-03 08:45:50 UTC
No maintainer, deprecated upstream.
Marked as deprecated in 42.3 lifecycle data.
Comment 5 Bernhard Wiedemann 2017-08-03 10:01:10 UTC
This is an autogenerated message for OBS integration:
This bug (1044859) was mentioned in
https://build.opensuse.org/request/show/514160 42.3 / lifecycle-data